Forum Sketchup Artlantis Archicad
Vous souhaitez réagir à ce message ? Créez un compte en quelques clics ou connectez-vous pour continuer.
Galerie


format r.b Empty
Ton bloc notes
Derniers sujets
» [ SKETCHUP tutos ] SUPPRIMER le LOGO (filigrane) ajouté par 3D Warehouse
par jerryvento Aujourd'hui à 11:22

» [AUTRES LOGICIELS] MagicaVoxel!
par Pilou Aujourd'hui à 1:20

» [ SKETCHUP tutos ] 3D Warehouse pour Sketchup 2017
par jerryvento Hier à 11:45

» [ CHAINE TWITCH ] les replay de mes live sur Twitch
par tenrev Hier à 8:54

» [ CHAINE TWITCH ] Nouveau live ce jour 10 aout 2022 à 15h
par tenrev Mer 10 Aoû 2022 - 13:12

» [ PRESENTATION ] Archigilles
par tenrev Mar 9 Aoû 2022 - 23:06

» [ CHAINE TWITCH ] première diffusion en live
par simjoubert Lun 8 Aoû 2022 - 18:43

» [ SKETCHUP plugins ] sj_AddDCAttribut création d'attribut sur une sélection d'instances de composants
par simjoubert Lun 8 Aoû 2022 - 0:18

» [ ARCHICAD-OBJETS GDL ] Bardage bois horizontal à tester / Accessoire de mur
par Benjamin.Chvn Ven 5 Aoû 2022 - 11:42

» [ SKETCHUP plugins ] Didier Bur revient dans la course!
par JDD Jeu 4 Aoû 2022 - 17:53

» [ le forum] inserer vos vidéos youtube sur le forum avec quelques paramètres
par tenrev Jeu 4 Aoû 2022 - 15:15

» [ SKETCHUP généralité ] Animation SketchUp 2017
par jerryvento Mar 2 Aoû 2022 - 13:07

» [ SKETCHUP tutos ] ASTUCE Faire apparaître les Ouvertures dans un mur entre 2 scènes
par jerryvento Mar 2 Aoû 2022 - 11:19

» [ BLENDER ] BagaPie modifier V7 et BagaPie Assets V3
par JDD Dim 31 Juil 2022 - 16:08

» [ SKETCHUP généralité ] Chaine twitch sketchup.tv
par tenrev Dim 31 Juil 2022 - 11:45

» [ ARCHICAD ] Encadrements de fenêtres
par Nùmenor Ven 29 Juil 2022 - 9:53

» [ ARCHICAD ] Archicad 26
par VertiKal Jeu 28 Juil 2022 - 17:29

» [ ARTLANTIS ] Ajouter des objets
par AK40Cess Jeu 28 Juil 2022 - 12:28

» [ PRESENTATION ] Bonjour a tous
par Coulou Jeu 28 Juil 2022 - 9:16

» [ SKETCHUP tutos ] de sketchup vers un catalogue Indesign
par tenrev Mer 27 Juil 2022 - 14:57

» [ ARCHICAD ] Détail de baie en coupe (retour bardage linteau et appui)
par nono.lerat Mer 27 Juil 2022 - 14:05

» [ WIP ] Extension par surélévation
par VertiKal Mer 27 Juil 2022 - 7:17

» [Chaine Twitch] fil pour poster vos souhaits de programmes à venir sur la chaine
par simjoubert Mar 26 Juil 2022 - 21:54

» [ TEXTURES ET SHADERS ] six ensembles de texture de parallaxe gratuites qui peuvent être utilisées pour créer instantanément de faux intérieurs 3D pour des bâtiments 3D
par tenrev Mar 26 Juil 2022 - 13:57

» [ARCHICAD] Infos - Cours - Liens
par Coulou Mar 26 Juil 2022 - 10:53

» [ SKETCHUP plugins ] SJ Batch Export Scenes To Thumbnails
par simjoubert Lun 25 Juil 2022 - 19:19

» [ SKETCHUP plugins ] SJ Components To Scenes - Isoler une copie d'un composant dans une scène dédiée
par simjoubert Lun 25 Juil 2022 - 19:13

» [ BLENDER ] Buildify - Un générateur de Building Gratuit
par Samuel Tallet Ven 22 Juil 2022 - 22:09

» [ ARCHICAD ] OUtil pour gestion des priorité des surfaces ??
par Coulou Ven 22 Juil 2022 - 10:17

» [ AUTRES LOGICIELS ] Technologie SDF sortie! MagicaCSG!
par Pilou Jeu 21 Juil 2022 - 21:43

» [ ARCHICAD ] Renseignement finition (sol, mur, plafond) zone
par Fred0079 Mer 20 Juil 2022 - 18:08

» [ SKETCHUP généralité ] Vectorisation Image
par tenrev Mer 20 Juil 2022 - 8:59

» [ SKETCHUP généralité ] Transférer Skechup sur un nouveau PC
par luluvava Dim 17 Juil 2022 - 22:38

» [ SKETCHUP généralité ] AR sur les modéles de 3dwarehouse
par tenrev Mer 13 Juil 2022 - 13:31

» [ ARCHICAD-OBJETS GDL ] Accessoire de mur pour AC23 - permet de réaliser des bardages bois
par AK40Cess Mer 13 Juil 2022 - 6:28

Sondage

Chaine Twitch

format r.b Poll_c1017%format r.b Poll_c10 17% [ 5 ]
format r.b Poll_c1014%format r.b Poll_c10 14% [ 4 ]
format r.b Poll_c103%format r.b Poll_c10 3% [ 1 ]
format r.b Poll_c1010%format r.b Poll_c10 10% [ 3 ]
format r.b Poll_c107%format r.b Poll_c10 7% [ 2 ]
format r.b Poll_c1010%format r.b Poll_c10 10% [ 3 ]
format r.b Poll_c1031%format r.b Poll_c10 31% [ 9 ]
format r.b Poll_c107%format r.b Poll_c10 7% [ 2 ]

Total des votes : 29

chaine sketchup.tv

format r.b

Voir le sujet précédent Voir le sujet suivant Aller en bas

william bilcot
william bilcot
Loquace
Loquace
Masculin Date d'inscription : 14/10/2009
Nombre de messages : 53
Points : 81
Age : 45
Localisation : bretagne
Emploi : charpentier

Messagewilliam bilcot Dim 26 Sep 2010 - 20:47

salut a tout le monde.

je cherche un programme pour lire un scrip r.b.
pour installer un plugin sketchup.

merci.

#-----------------------------------------------------------------------------
# polar_zonohedron v 1.0
# Copyright 2010, Rob Bell
# author: Rob Bell
#
# Permission to use, copy, modify, and distribute this software for
# any purpose and without fee is hereby granted, provided the above
# copyright notice appear in all copies
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------


require "sketchup.rb"

include Math

def polar_zonohedron #frequency, pitch = atan(sqrt(2)/2), len = 1.0 # frequency,pitch,length


mo = Sketchup.active_model
mo.start_operation $exStrings.GetString("polar_zonohedron")


prompts = [$exStrings.GetString("Frequency"), $exStrings.GetString("Pitch in radians"), $exStrings.GetString("Length")]
values = [8, "atan( sqrt(2)/2 )", 12.inch]
results = inputbox prompts, values, $exStrings.GetString("Polar Zonohedron")

return if not results # This means that the user canceld the operation

frequency = results[0]
pitch = eval( results[1] )
len = results[2]


ents = mo.active_entities
grp = ents.add_group
ents = grp.entities

pts=[]

#we begin by setting pts[0] to the origin
pts[0] = Geom::Point3d.new(0,0,0)

vector = Geom::Vector3d.new(cos(pitch),0,sin(pitch) ) #tilt pitch vector up the xz plane
vector.length = len

#Using the origin as the initial generator we iterate thru each zone of the zonohedron
#our first task is to define the four points of the base rhomb for this zone
#at the end the pts[3] becomes our new origin for the rhomb of the next zone
1.upto(frequency-1){ |i|
p_rotate = Geom::Transformation.rotation( pts[0] , Geom::Vector3d.new(0,0,1), i*2*PI/frequency )

#obtain the other three points of the rhomb face
pts[1] = pts[0].transform vector
pts[3] = pts[1].transform( p_rotate )
pts[2] = pts[3].transform( vector )

#we now have the 4 points which make this zone's base rhomb
#so we rotate around the origin frequency times making a star pattern of faces
0.upto(frequency-1){ |j|
f_rotate = Geom::Transformation.rotation( Geom::Point3d.new(0,0,0) , Geom::Vector3d.new(0,0,1), j*2*PI/frequency )
ents.add_face( pts.collect{|p| p.transform(f_rotate)} )
}

#set the origin for the rhomb of the next zone
pts[0] = pts[3]

}
mo.commit_operation
end




if( not file_loaded?("polar_zonohedron.rb") )
add_separator_to_menu("Plugins")
UI.menu("Plugins").add_item($exStrings.GetString("Polar Zonohedron")) { polar_zonohedron }
end
#-----------------------------------------------------------------------------
file_loaded("polar_zonohedron.rb")


tenrev
tenrev
FONDATEUR DE BIBLIO3D
FONDATEUR DE BIBLIO3D
Masculin Humeur : excellente comme toujours
Date d'inscription : 19/01/2008
Nombre de messages : 18763
Points : 32223
Age : 59
Localisation : Dans la quatrieme dimension
Emploi : archi d'intérieur salarié
https://www.biblio3d.com

Messagetenrev Dim 26 Sep 2010 - 21:17

tu n'as pas besoin de programme spécifique il faut juste mettre ton fichier rb dans le répertoire plugin de sketchup et lors du démarrage de SU le plugin sera chargé en mémoire et sera utilisable aurevoir

mais j'ai peut être dit une connerie et pas bien compris ta question fou

-------------------------------------------------------------------------------------------------------------------------
je ne sais pas grand chose , mais le peu que je sache , je le partage 
1 PC fixe avec proc Rizen 9 3950X 32 threads - cg nvidia geforce RTX3080  - 64 go de ram DDssd 1To
1 PC portable MSI TITAN PRO écran 17''|win10 64 bits| i7 Quad core|ram 32go| CG GFORCE GTX1080 avec 8go
1 casque VR Occulus Rift - 1 vieux PC portable Dell sous Linux Ubuntu 18    1 vieux pc portable HP sous chromebook
Modélisation : Sketchup - Rhino - Pconplanner   Rendu: Enscape - Keyshot - Unreal Engine - Artlantis - Twinmotion   Autres: Photoshop - Illustrator - Indesign - Vidéostudio - After Effect - Première

format r.b 575088biblio3d
ploum
ploum
V.I.P.
V.I.P.
Masculin Humeur : une autre question ?
Date d'inscription : 25/10/2009
Nombre de messages : 1142
Points : 1288
Age : 61
Localisation : Saint André de Cruzières, Ardèche
Emploi : menuisier, bijoux, gratte, etc.
http://g.fevre.free.fr

Messageploum Dim 26 Sep 2010 - 21:44

juste : .rb
pas r.b.
:icon_wink:

-------------------------------------------------------------------------------------------------------------------------
" heureux les fêlés car ils laissent passer la lumière "
format r.b Blende10
william bilcot
william bilcot
Loquace
Loquace
Masculin Date d'inscription : 14/10/2009
Nombre de messages : 53
Points : 81
Age : 45
Localisation : bretagne
Emploi : charpentier

Messagewilliam bilcot Mar 28 Sep 2010 - 21:20

bonsoir.

j'ai essayé de copier et coller le plungin, mais il ne veut pas ce coller dans le fichier plugin sketchup.
c'est pour cela que je vous demandé s'il fallait transformer le rb que j'ai mis sur mon premier message en ?????
aurevoir
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mar 28 Sep 2010 - 21:44

Salut William,

tu le télécharges ici => http://www.box.net/shared/r6y50ex1tn
tu cliques sur "Enregister" et tu l'enregistres dans le répertoire Plugins de Sketchup (Généralement => C:\Program Files\Google\Google SketchUp 7\Plugins) et tu redémarres Sketchup

@+

Christophe
Fab
Fab
modérateur
modérateur
Masculin Humeur : Rester COOL......
Date d'inscription : 03/10/2008
Nombre de messages : 4821
Points : 5403
Age : 55
Localisation : Normandie
Emploi : Dessinateur en bâtiment et génie civil
https://www.pinterest.fr/lignesvintage/_saved/

MessageFab Mer 29 Sep 2010 - 8:06

Salut William, j'aime beaucoup ton avatar cela me rappelle quand je relevais des charpentes dans de veilles longères.... aurevoir

-------------------------------------------------------------------------------------------------------------------------
Dites-vous bien que dans la vie, ne pas reconnaître son talent, c'est favoriser la réussite des médiocres.  p-clin  
Autocad | Photoshop | Sketchup pro | The Panorama Factory | Easy Google Maps Downloader

Voir le sujet précédent Voir le sujet suivant Revenir en haut

Créer un compte ou se connecter pour répondre

Vous devez être membre pour répondre.

S'enregistrer

Rejoignez notre communauté ! C'est facile !


S'enregistrer

Connexion

Vous êtes déjà membre ? Aucun soucis, cliquez ici pour vous connecter.


Connexion

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum